# OpenLayers.Layer.Markers

#### Inherits from

- OpenLayers.Layer

Summary

OpenLayers.Layer.Markers |
Properties |
isBaseLayer | {Boolean} Markers layer is never a base layer.
markers | {Array(OpenLayers.Marker)} internal marker list
Constructor |
OpenLayers.Layer.Markers | Create a Markers layer.
Functions |
destroy |
setOpacity | Sets the opacity for all the markers.
addMarker |
removeMarker |
getDataExtent | Calculates the max extent which includes all of the markers.

### Properties

### isBaseLayer

{Boolean} Markers layer is never a base layer.

### markers

{Array(OpenLayers.Marker)} internal marker list

### Constructor

### OpenLayers.Layer.Markers

Create a Markers layer.

#### Parameters

name | {String}
options | {Object} Hashtable of extra options to tag onto the layer

### Functions

### destroy

> destroy: function()

### setOpacity

> setOpacity: function( | opacity | )

Sets the opacity for all the markers.

#### Parameters

opacity | {Float}

### addMarker

> addMarker: function( | marker | )

#### Parameters

marker | {OpenLayers.Marker}

### removeMarker

> removeMarker: function( | marker | )

#### Parameters

marker | {OpenLayers.Marker}

### getDataExtent

> getDataExtent: function ()

Calculates the max extent which includes all of the markers.

#### Returns

{OpenLayers.Bounds}

Instances of OpenLayers.Marker are a combination of a OpenLayers.LonLat and an OpenLayers.Icon.

> destroy: function()

> setOpacity: function( | opacity | )

Sets the opacity for all the markers.

> addMarker: function( | marker | )

> removeMarker: function( | marker | )

> getDataExtent: function ()

Calculates the max extent which includes all of the markers.
Instances of this class represent bounding boxes.
Close